解决RDP无法启动OpenGL程序的问题

在远程桌面开发调试游戏,遇到cocos2dx无法启动OpenGL。提示OpenGL版本小于1.5。

查询可知在远程桌面环境下,GL无法使用硬件渲染,只能获得一个1.1版本的Context。

既然硬件上无法获取需要的Context,只要在软件上弄一个可以的就行了——使用OpenGL软渲染器。

但是捣鼓了一下午没有编译成功mesa3d……

最后发现Qt4里面有个软件渲染的OpenGL版本,完美解决了这个问题。

附件:opengl32sw

 

chu's box · 浙ICP备14006917号